> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tradingoctant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the latest GEX

Returns one snapshot. Use `tradeDate` and `asOf` to identify the session and observation time. Select an expiry group by `groups[].key`. Within that group, `levels.maxGammaStrike` is the Max Gamma strike. An unavailable level may be `null`.

**Errors**　For 401 check or replace the key. For 403 check scope. For 422 check parameters. For 429 honor `Retry-After` and check usage. Retry later on 503.


## OpenAPI

````yaml spec/customer.json GET /v1/gex
openapi: 3.1.0
info:
  title: Trading Octant Customer REST API
  version: '1.0'
servers:
  - url: https://api.tradingoctant.com
security: []
paths:
  /v1/gex:
    get:
      summary: Read the authorized latest GEX snapshot
      operationId: customerDataGex
      parameters:
        - name: symbol
          in: query
          required: true
          schema:
            type: string
            pattern: ^[A-Z]{1,6}$
        - name: basis
          in: query
          required: false
          schema:
            type: string
            enum:
              - naive
            default: naive
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GexView'
        '401':
          description: Invalid or expired API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerProblemResponse'
        '403':
          description: Subscription or scope does not permit access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerProblemResponse'
        '422':
          description: Unsupported request scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerProblemResponse'
        '429':
          description: Quota exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerProblemResponse'
        '503':
          description: Data temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerProblemResponse'
      security:
        - CustomerBearer: []
components:
  schemas:
    GexView:
      type: object
      properties:
        symbol:
          type: string
        tradeDate:
          type: string
          format: date
        asOf:
          type: string
          format: date-time
        asOfEt:
          type: string
        basis:
          type: string
          enum:
            - naive
        spot:
          type: number
        candles:
          items:
            $ref: '#/components/schemas/Candle'
          type: array
        strikes:
          items:
            type: number
          type: array
        groups:
          items:
            $ref: '#/components/schemas/GroupView'
          type: array
      required:
        - symbol
        - tradeDate
        - asOf
        - asOfEt
        - spot
        - candles
        - strikes
        - groups
      description: >-
        Selected customer-facing snapshot fields. Additional response fields may
        be present.
    CustomerProblemResponse:
      type: object
      properties:
        detail:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
    Candle:
      type: object
      properties:
        minute:
          type: integer
        o:
          type: number
        h:
          type: number
        l:
          type: number
        c:
          type: number
        v:
          anyOf:
            - type: number
            - type: 'null'
        vw:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - minute
        - o
        - h
        - l
        - c
    GroupView:
      type: object
      properties:
        key:
          type: string
          enum:
            - day
            - month
            - all
        levels:
          $ref: '#/components/schemas/Levels'
        last:
          items:
            anyOf:
              - type: number
              - type: 'null'
          type: array
      required:
        - key
        - levels
        - last
    Levels:
      type: object
      properties:
        netGex:
          type: number
        flip:
          anyOf:
            - type: number
            - type: 'null'
        callWall:
          anyOf:
            - type: number
            - type: 'null'
        putWall:
          anyOf:
            - type: number
            - type: 'null'
        maxGammaStrike:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - netGex
        - flip
        - callWall
        - putWall
        - maxGammaStrike
  securitySchemes:
    CustomerBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.